Subject: Re: bug#28882: [bug-gnu-emacs] emacs-26.0.90 build feedback

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Wed, 18 Oct 2017 07:31:10 -0600

Thanks, Noam, for your extensive response to my long report yesterday
of my build experience for emacs-26.0.90 on, initially, 160 different
operating systems in our test lab.

Since that report, with manual tweaks, such as hiding /usr/local
during builds, and restoring it before installs, I've increased the
number of successes to 135 systems.

This reply addresses the issue of Alpine Linux.  This morning, I read
the section in etc/PROBLEMS on address space layout randomization
(ASLR), and on our Alpine systems, tried the trick (as root) of

	echo 0 > /proc/sys/kernel/randomize_va_space

before doing a build with 

	env CONFIG_SITE= ./configure  --prefix=$L --with-pop && make all check

[L is a personal variable for our default prefix on newer systems].

I'm pleased to report that the builds on Alpine Linux succeeded, and
emacs is now fully functional on all of them, which report their
versions in /etc/alpine-release as 3.4.6, 3.5.2, 3.6.0, and 3.6.2.

I'm now looking into similar issues on Hardened BSD 11.1-STABLE-HBSD
and 12.0-CURRENT, where the build succeeds up to the point of the
memory dump, and then fails with

	Dumping under the name emacs
	11323200 of 33554432 static heap bytes used
	gmake[1]: *** [Makefile:738: bootstrap-emacs] Segmentation fault

I'll report back on this list if/when I learn more.

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------